function C=Children(n,level)
% Synopsis: 
% C=Children(n,level); 
% where
% (n,level) is the global box adress in the hierarchical 2^DIM-tree
% C is the sorted set of nonzero children
% DIM is the dimensionality of the space (described as global)
% OrderedData is the sorted global data organized in hierarchy of 2^DIM-tree

% written by 
% Nail Gumerov, gumerov@umiacs.umd.edu
% Eugene Borovikov, yab@umiacs.umd.edu 
% on May 15, 2002

global OrderedData

C=intersect(ChildrenAll(n),OrderedData(level+1,:));