function n=Cube(x,level)
% Synopsis: 
% n=Cube(x,level); 
% where
% x is a point in DIM dimensional space inside a unit cube;
% (n,level) is the global adress of the box in the hierarchical 2^DIM-tree
% DIM is the dimensionality of the space (described as global)

% written by 
% Nail Gumerov, gumerov@umiacs.umd.edu
% Eugene Borovikov, yab@umiacs.umd.edu 
% on May 15, 2002

n=Interleave(floor(x*bitshift(1,level)));
    