function x=CubeCenter(n,level)
% Synopsis: 
% x=CubeCenter(n,level); 
% where
% (n,level) is the global adress of the box in the hierarchical 2^DIM-tree
% x is the center of this box 
% DIM is the dimensionality of the space (described as global)

% written by 
% Nail Gumerov, gumerov@umiacs.umd.edu
% Eugene Borovikov, yab@umiacs.umd.edu 
% on May 15, 2002

x=(Deinterleave(n)+.5)/bitshift(1,level);