function Ndx = FindInList(n,level)
% Synopsis: 
% Ndx = FindInList(n,level); 
% where
% (n,level) is the global box adress in the hierarchical 2^DIM-tree
% Ndx is the sorted index of n in the OrderedData(level)
% DIM is the dimensionality of space
% OrderedData is the sorted global data organized in hierarchy of 2^DIM-tree

% written by 
% Nail Gumerov, gumerov@umiacs.umd.edu
% Eugene Borovikov, yab@umiacs.umd.edu 
% on May 15, 2002

global OrderedData

Ndx=find(n==OrderedData(level,:));