function N=Neighbors(n,level)
% Synopsis: 
% N=Neighbors(n,level); 
% where
% (n,level) is the global box adress in the hierarchical 2^DIM-tree
% N is the sorted set of nonzero neighbors
% DIM is the dimensionality of the space (described as global)
% OrderedData is the sorted global data organized in hierarchy of 2^DIM-tree

% written by 
% Nail Gumerov, gumerov@umiacs.umd.edu
% Eugene Borovikov, yab@umiacs.umd.edu 
% on May 15, 2002

global OrderedData

N=intersect(NeighborsAll(n,level),OrderedData(level,:));
        