function state = OdometerNext(state,base)
% Synopsis: 
% state = OdometerNext(state,base); 
% where
% state is the state of the odometer
% base is the base of the counting system 

% written by 
% Nail Gumerov, gumerov@umiacs.umd.edu
% Eugene Borovikov, yab@umiacs.umd.edu 
% on May 15, 2002

if nargin < 2, base=10; end;

for i=1:length(state)
    state(i)=mod(state(i)+1,base);
    if state(i), break; end;
end;