function p=Parent(n)
% Synopsis: 
% p=Parent(n); 
% where
% DIM is the dimensionality of the space (described as global)
% n is the box number in the hierarchical 2^DIM-tree
% p is the parent box number of n;
% written by Nail Gumerov and Eugene Borovikov on May 10, 2002

global DIM

p=bitshift(n,-DIM);
