function C=ChildrenAll(n)
% Synopsis: 
% C=ChildrenAll(n); 
% where
% DIM is the dimensionality of the space (described as global)
% n is the box number in the hierarchical 2^DIM-tree
% C is the sorted set of children box numbers of length 2^DIM

% written by 
% Nail Gumerov, gumerov@umiacs.umd.edu
% Eugene Borovikov, yab@umiacs.umd.edu 
% on May 15, 2002

global DIM

m=bitshift(1,DIM);
C=bitshift(n,DIM)*ones(1,m)+(0:m-1);
