function s=CubeSize(level)
% Synopsis: 
% s=CubeSize(level); 
% where
% level is the level in the hierarchical 2^DIM-tree
% s is the size of the cube on this level
% DIM is the dimensionality of the space (described as global)

% written by 
% Nail Gumerov, gumerov@umiacs.umd.edu
% Eugene Borovikov, yab@umiacs.umd.edu 
% on May 15, 2002

s=1/bitshift(1,level);        %2^(-level);
    