function S=Siblings(n,level)
% Synopsis: 
% S=Siblings(n,level); 
% where
% (n,level) is the global box adress in the hierarchical 2^DIM-tree
% S is the sorted set of nonzero siblings
% DIM is the dimensionality of the space (described as global)

% written by 
% Nail Gumerov, gumerov@umiacs.umd.edu
% Eugene Borovikov, yab@umiacs.umd.edu 
% on May 15, 2002

S=setdiff(Children(Parent(n),level-1),n);
