function S=SiblingsAll(n)
% Synopsis: 
% S=SiblingsAll(n); 
% where
% n is the box number in the hierarchical 2^DIM-tree
% S is the sorted set of sibling box numbers of length 2^DIM-1
% DIM is the dimensionality of space

% written by 
% Nail Gumerov, gumerov@umiacs.umd.edu
% Eugene Borovikov, yab@umiacs.umd.edu 
% on May 15, 2002

S=setdiff(ChildrenAll(Parent(n)),n);